/**
 * CompressionAlgorithm.java
 *
 * File generated from the medication::CompressionAlgorithm uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration CompressionAlgorithm.
 *
 * 
 */

@XmlType(name = "CompressionAlgorithm")
@XmlEnum
@XmlRootElement(name = "CompressionAlgorithm")
public enum CompressionAlgorithm {
	@XmlEnumValue("DF")
	DF("DF"),
	@XmlEnumValue("GZ")
	GZ("GZ"),
	@XmlEnumValue("Z")
	Z("Z"),
	@XmlEnumValue("ZL")
	ZL("ZL");
	
	private final String value;

    CompressionAlgorithm(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static CompressionAlgorithm fromValue(String v) {
        for (CompressionAlgorithm c: CompressionAlgorithm.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}